Package pygraph :: Package algorithms :: Module sorting

# Module sorting

Sorting algorithms.

Functions

list

topological_sorting(graph) Topological sorting. |

Variables
| __package__ = ``'``pygraph.algorithms``'``

Function Details

### topological_sorting(graph)

Topological sorting.

Parameters:
  - `graph` (digraph) - Graph.
Returns: list
  Topological sorting for the graph.

Attention: Topological sorting is meaningful only for directed acyclic graphs.